Namespace
library
Image / Tag
consul:1.9.15
Content Digest
sha256:671bd81da269da30192b65b2f630494164c4c5e2ab2f55dbd3b41e8817b4e25c
Details
Created

2022-02-12 01:42:55 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.15

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 7.16% (2.7 MB)

[#001] sha256:e6dacf6bfcd05ebee4b7814c1e2458230bc530ec3032332b864478262b32709b - 0.0% (1.23 KB)

[#002] sha256:33c2f315c27b3d7dfb65ae29709d1eca3816562f0f1dace9d6e1035d5804a76c - 92.83% (35 MB)

[#003] sha256:a900872b2300734d9ce3cef3365280fe46505ac36583d43ca032ca78b2430fcf - 0.0% (174 Bytes)

[#004] sha256:f4c153625bb4bef08683d407250abd66ba10f71d027c761158eb362657287591 - 0.0% (153 Bytes)

[#005] sha256:39cfa48ca2fd0f3bc310d77e51d7fd852609e549dd9368534c6231e3ecc176cc - 0.0% (1.75 KB)


History
2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /

2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-02-12 01:42:21 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.15

2022-02-12 01:42:21 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.15 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-02-12 01:42:22 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-02-12 01:42:23 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-02-12 01:42:51 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-02-12 01:42:52 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-02-12 01:42:53 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-02-12 01:42:54 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-02-12 01:42:54 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-02-12 01:42:54 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-02-12 01:42:54 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-02-12 01:42:55 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-02-12 01:42:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-02-12 01:42:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-02-12 07:24:14 UTC

Size

38.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.15

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 7.03% (2.69 MB)

[#001] sha256:943154e69384903df18a528867e8166ce2323b6e5d0011a48ee392bc5397ce08 - 0.0% (1.23 KB)

[#002] sha256:a74a136b2f53c3669c75f7fa127b0e03362bdbe611ae22c41bc1d2b09515e474 - 92.96% (35.6 MB)

[#003] sha256:10995bbe189b97ee0690408bb2da8eccf5611bdb3a02aeb685ab179b0d45f010 - 0.0% (174 Bytes)

[#004] sha256:4fcd2f600efda82794de5345973d02e259762b8b2aad69cb557dcd11f58453d8 - 0.0% (153 Bytes)

[#005] sha256:02655599ee5afa20f4776a0539f6b1020510d57a9e14a76a82e85fd8968ee5af - 0.0% (1.74 KB)


History
2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /

2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-02-12 07:23:30 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.15

2022-02-12 07:23:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.15 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-02-12 07:23:31 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-02-12 07:23:31 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-02-12 07:24:11 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-02-12 07:24:12 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-02-12 07:24:13 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-02-12 07:24:13 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-02-12 07:24:13 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-02-12 07:24:13 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-02-12 07:24:13 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-02-12 07:24:14 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-02-12 07:24:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-02-12 07:24:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-02-12 01:51:43 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.15

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.89% (2.51 MB)

[#001] sha256:e6f6f3c9568b47c4bf44b4099672264efbf0dcbbbde4863686d69734b848d7ff - 0.0% (1.23 KB)

[#002] sha256:c57af4e673ca60e6ec30cf030ea2e3b2c24a94a130f4968c84f74032ef3dc2f3 - 93.1% (33.9 MB)

[#003] sha256:154c36b13f758b324e17d809a7adbdf33b67e159b245e4b28fbcb33d75bb19c1 - 0.0% (174 Bytes)

[#004] sha256:eff8f832057f753e41d4ab053e1e5b0729f0758f618cbafb539edc33465fe3b6 - 0.0% (153 Bytes)

[#005] sha256:ec6635806208ab7c02bcf738f7f96e45b0de027117964965ec9da5d4448e2df1 - 0.0% (1.74 KB)


History
2021-11-12 16:49:57 UTC

/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /

2021-11-12 16:49:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-02-12 01:51:11 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.15

2022-02-12 01:51:12 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.15 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-02-12 01:51:12 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-02-12 01:51:14 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-02-12 01:51:36 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-02-12 01:51:38 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-02-12 01:51:39 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-02-12 01:51:40 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-02-12 01:51:40 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-02-12 01:51:41 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-02-12 01:51:41 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-02-12 01:51:42 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-02-12 01:51:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-02-12 01:51:43 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-02-12 05:35:52 UTC

Size

36.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.9.15

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 7.13% (2.59 MB)

[#001] sha256:dfb72b6badac587cf22d2521704eb3cfd59e76846747bcce965a4e168a384acb - 0.0% (1.2 KB)

[#002] sha256:69e6379da08e0632ead1dc178aebe4272be24ab7aed68f42403b096008156815 - 92.86% (33.8 MB)

[#003] sha256:0c2059ec9e2695dffd78727fa4b7d2c40b0778e589ca76c7018779de3004a006 - 0.0% (142 Bytes)

[#004] sha256:b7a58e4cff6ff8fa57a88669eeb1cc31c22a52ece7ced61552e405d90c5b2337 - 0.0% (155 Bytes)

[#005] sha256:c1800babce3f9238fd5bb6c088ac2e44bb0ebad4699ce75ba2ca1f4044d4ea71 - 0.0% (1.75 KB)


History
2021-11-12 16:40:05 UTC

/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /

2021-11-12 16:40:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-02-12 05:35:31 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.15

2022-02-12 05:35:32 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.15 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-02-12 05:35:33 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-02-12 05:35:34 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-02-12 05:35:44 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-02-12 05:35:44 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-02-12 05:35:45 UTC

|1 CONSUL_VERSION=1.9.15 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-02-12 05:35:46 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-02-12 05:35:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-02-12 05:35:48 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-02-12 05:35:49 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-02-12 05:35:51 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-02-12 05:35:51 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-02-12 05:35:52 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]